From 59de8a9c0d7d82d4130956faefb28b7cb2406410 Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date: Oct 15 2020 21:12:33 +0000
Subject: [PATCH 4/6] cleanup of out.csv (debug purpose)


---

diff --git a/convertCSV.py b/convertCSV.py
index 9d1d5d3..a735dd1 100755
--- a/convertCSV.py
+++ b/convertCSV.py
@@ -5,23 +5,20 @@ import csv
 import json
 
 EXTENSION_MAP = (
-    (".po", "po"),
+    (".po",         "po"),
     ("strings.xml", "aresource"),
-    (".ini", "joomla"),
-    (".csv", "csv"),
-    (".json", "json-nested"),
-    (".dtd", "dtd"),
-    (".php", "php"),
-    (".xlf", "xliff"),
-    (".xliff", "xliff"),
-    (".ts", "ts"),
-    (".resx", "resx"),
-    (".resw", "resx"),
-    (".xlsx", "xlsx"),
-    (".yml", "yaml"),
-    (".yaml", "yaml"),
+    (".ini",        "joomla"),
+    (".csv",        "csv"),
+    (".json",       "json-nested"),
+    (".dtd",        "dtd"),
+    (".php",        "php"),
+    (".xlf/.xliff", "xliff"),
+    (".ts",         "ts"),
+    (".resx/.resw", "resx"),
+    (".xlsx",       "xlsx"),
+    (".yml/.yaml",  "yaml"),
     (".properties", "properties"),
-    (".strings", "strings"),
+    (".strings",    "strings"),
 )
 
 
diff --git a/extract_srpm.sh b/extract_srpm.sh
index 3b71ba5..40cd612 100755
--- a/extract_srpm.sh
+++ b/extract_srpm.sh
@@ -13,10 +13,6 @@ if [ ! -e "$package" ] ; then
     exit 1
 fi
 
-# please, don't do that, ever
-# rm -rf -- "$folder"/*
-# remove hidden files
-# rm -rf -- "$folder"/.* 2> /dev/null
 rm -rf $folder
 mkdir -p $folder
 

